%define p4ver  LINUX24X86/2002.2/41936 (2003/02/26)
%define p4dver LINUX24X86/2002.2/41936 (2003/02/26)

Summary: Perforce Software Configuration Management System
Name: perforce
Version: r02.2
Release: 6
Group: Development/Version Control
Copyright: Commercial
Url: http://www.perforce.com/
Packager: Hao Li <hli@haoli.org>
Source0: ftp://ftp.perforce.com/perforce/%{version}/bin.linux24x86/p4
Source1: ftp://ftp.perforce.com/perforce/%{version}/bin.linux24x86/p4d
Source2: ftp://ftp.perforce.com/perforce/%{version}/doc/man/p4.1
Source3: ftp://ftp.perforce.com/perforce/%{version}/doc/man/p4d.1
Source5: p4d.init
Source6: p4d.sysconfig
BuildRoot: /var/tmp/%{name}-root

%description
Perforce, the Fast Software Configuration Management System.

P4  version: %p4ver
P4D version: %p4dver

This package includes the "Linux 2.4.0 Intel x86" version which supports
database files larger than 2GB.


%prep


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,lib,man/man1}
install -p -m0755 %{SOURCE0} $RPM_BUILD_ROOT/usr/bin
install -p -m0755 %{SOURCE1} $RPM_BUILD_ROOT/usr/sbin
install -p -m0644 %{SOURCE2} $RPM_BUILD_ROOT/usr/man/man1
install -p -m0644 %{SOURCE3} $RPM_BUILD_ROOT/usr/man/man1

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -p -m0755 %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/p4d

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -p -m0644 %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/p4d

mkdir -p $RPM_BUILD_ROOT/var/lib/perforce


%pre
if [ $1 = 1 ]; then
    /usr/sbin/groupadd -g 120 -r -f p4admin
    /usr/sbin/useradd -c "Perforce Server" -r -n -s /bin/bash -u 120 \
	-g p4admin -d /var/lib/perforce perforce 2>/dev/null || :
fi

%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add p4d
fi

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del p4d
fi

%postun
if [ $1 = 0 ]; then
    /usr/sbin/userdel perforce 2>/dev/null || :
    /usr/sbin/groupdel p4admin 2>/dev/null || :
fi


%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/p4d
%config /etc/sysconfig/p4d
/usr/bin/*
/usr/sbin/*
/usr/man/man1/*
%attr(0750,perforce,p4admin) /var/lib/perforce


%clean
rm -rf $RPM_BUILD_ROOT

